namespace Avalonia.Media
{
    /// <summary>
    /// Predefined brushes.
    /// </summary>
    public static class Brushes
    {
        /// <summary>
        /// Gets an <see cref="Colors.AliceBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush AliceBlue => KnownColor.AliceBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.AntiqueWhite"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush AntiqueWhite => KnownColor.AntiqueWhite.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Aqua"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Aqua => KnownColor.Aqua.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Aquamarine"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Aquamarine => KnownColor.Aquamarine.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Azure"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Azure => KnownColor.Azure.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Beige"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Beige => KnownColor.Beige.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Bisque"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Bisque => KnownColor.Bisque.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Black"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Black => KnownColor.Black.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.BlanchedAlmond"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush BlanchedAlmond => KnownColor.BlanchedAlmond.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Blue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Blue => KnownColor.Blue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.BlueViolet"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush BlueViolet => KnownColor.BlueViolet.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Brown"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Brown => KnownColor.Brown.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.BurlyWood"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush BurlyWood => KnownColor.BurlyWood.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.CadetBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush CadetBlue => KnownColor.CadetBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Chartreuse"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Chartreuse => KnownColor.Chartreuse.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Chocolate"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Chocolate => KnownColor.Chocolate.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Coral"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Coral => KnownColor.Coral.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.CornflowerBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush CornflowerBlue => KnownColor.CornflowerBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Cornsilk"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Cornsilk => KnownColor.Cornsilk.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Crimson"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Crimson => KnownColor.Crimson.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Cyan"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Cyan => KnownColor.Cyan.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkBlue => KnownColor.DarkBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkCyan"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkCyan => KnownColor.DarkCyan.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkGoldenrod"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkGoldenrod => KnownColor.DarkGoldenrod.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkGray"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkGray => KnownColor.DarkGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkGreen => KnownColor.DarkGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkKhaki"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkKhaki => KnownColor.DarkKhaki.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkMagenta"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkMagenta => KnownColor.DarkMagenta.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkOliveGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkOliveGreen => KnownColor.DarkOliveGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkOrange"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkOrange => KnownColor.DarkOrange.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkOrchid"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkOrchid => KnownColor.DarkOrchid.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkRed"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkRed => KnownColor.DarkRed.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkSalmon"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkSalmon => KnownColor.DarkSalmon.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkSeaGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkSeaGreen => KnownColor.DarkSeaGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkSlateBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkSlateBlue => KnownColor.DarkSlateBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkSlateGray"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkSlateGray => KnownColor.DarkSlateGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkTurquoise"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkTurquoise => KnownColor.DarkTurquoise.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkViolet"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DarkViolet => KnownColor.DarkViolet.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DeepPink"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DeepPink => KnownColor.DeepPink.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DeepSkyBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DeepSkyBlue => KnownColor.DeepSkyBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DimGray"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DimGray => KnownColor.DimGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DodgerBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush DodgerBlue => KnownColor.DodgerBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Firebrick"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Firebrick => KnownColor.Firebrick.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.FloralWhite"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush FloralWhite => KnownColor.FloralWhite.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.ForestGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush ForestGreen => KnownColor.ForestGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Fuchsia"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Fuchsia => KnownColor.Fuchsia.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Gainsboro"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Gainsboro => KnownColor.Gainsboro.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.GhostWhite"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush GhostWhite => KnownColor.GhostWhite.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Gold"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Gold => KnownColor.Gold.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Goldenrod"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Goldenrod => KnownColor.Goldenrod.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Gray"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Gray => KnownColor.Gray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Green"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Green => KnownColor.Green.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.GreenYellow"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush GreenYellow => KnownColor.GreenYellow.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Honeydew"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Honeydew => KnownColor.Honeydew.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.HotPink"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush HotPink => KnownColor.HotPink.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.IndianRed"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush IndianRed => KnownColor.IndianRed.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Indigo"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Indigo => KnownColor.Indigo.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Ivory"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Ivory => KnownColor.Ivory.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Khaki"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Khaki => KnownColor.Khaki.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Lavender"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Lavender => KnownColor.Lavender.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LavenderBlush"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LavenderBlush => KnownColor.LavenderBlush.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LawnGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LawnGreen => KnownColor.LawnGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LemonChiffon"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LemonChiffon => KnownColor.LemonChiffon.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightBlue => KnownColor.LightBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightCoral"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightCoral => KnownColor.LightCoral.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightCyan"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightCyan => KnownColor.LightCyan.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightGoldenrodYellow"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightGoldenrodYellow => KnownColor.LightGoldenrodYellow.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightGray"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightGray => KnownColor.LightGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightGreen => KnownColor.LightGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightPink"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightPink => KnownColor.LightPink.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightSalmon"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightSalmon => KnownColor.LightSalmon.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightSeaGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightSeaGreen => KnownColor.LightSeaGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightSkyBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightSkyBlue => KnownColor.LightSkyBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightSlateGray"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightSlateGray => KnownColor.LightSlateGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightSteelBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightSteelBlue => KnownColor.LightSteelBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightYellow"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LightYellow => KnownColor.LightYellow.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Lime"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Lime => KnownColor.Lime.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LimeGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush LimeGreen => KnownColor.LimeGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Linen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Linen => KnownColor.Linen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Magenta"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Magenta => KnownColor.Magenta.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Maroon"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Maroon => KnownColor.Maroon.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumAquamarine"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MediumAquamarine => KnownColor.MediumAquamarine.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MediumBlue => KnownColor.MediumBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumOrchid"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MediumOrchid => KnownColor.MediumOrchid.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumPurple"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MediumPurple => KnownColor.MediumPurple.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumSeaGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MediumSeaGreen => KnownColor.MediumSeaGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumSlateBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MediumSlateBlue => KnownColor.MediumSlateBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumSpringGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MediumSpringGreen => KnownColor.MediumSpringGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumTurquoise"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MediumTurquoise => KnownColor.MediumTurquoise.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumVioletRed"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MediumVioletRed => KnownColor.MediumVioletRed.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MidnightBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MidnightBlue => KnownColor.MidnightBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MintCream"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MintCream => KnownColor.MintCream.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MistyRose"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush MistyRose => KnownColor.MistyRose.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Moccasin"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Moccasin => KnownColor.Moccasin.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.NavajoWhite"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush NavajoWhite => KnownColor.NavajoWhite.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Navy"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Navy => KnownColor.Navy.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.OldLace"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush OldLace => KnownColor.OldLace.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Olive"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Olive => KnownColor.Olive.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.OliveDrab"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush OliveDrab => KnownColor.OliveDrab.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Orange"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Orange => KnownColor.Orange.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.OrangeRed"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush OrangeRed => KnownColor.OrangeRed.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Orchid"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Orchid => KnownColor.Orchid.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PaleGoldenrod"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush PaleGoldenrod => KnownColor.PaleGoldenrod.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PaleGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush PaleGreen => KnownColor.PaleGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PaleTurquoise"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush PaleTurquoise => KnownColor.PaleTurquoise.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PaleVioletRed"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush PaleVioletRed => KnownColor.PaleVioletRed.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PapayaWhip"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush PapayaWhip => KnownColor.PapayaWhip.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PeachPuff"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush PeachPuff => KnownColor.PeachPuff.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Peru"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Peru => KnownColor.Peru.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Pink"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Pink => KnownColor.Pink.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Plum"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Plum => KnownColor.Plum.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PowderBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush PowderBlue => KnownColor.PowderBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Purple"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Purple => KnownColor.Purple.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Red"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Red => KnownColor.Red.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.RosyBrown"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush RosyBrown => KnownColor.RosyBrown.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.RoyalBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush RoyalBlue => KnownColor.RoyalBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SaddleBrown"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush SaddleBrown => KnownColor.SaddleBrown.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Salmon"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Salmon => KnownColor.Salmon.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SandyBrown"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush SandyBrown => KnownColor.SandyBrown.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SeaGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush SeaGreen => KnownColor.SeaGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SeaShell"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush SeaShell => KnownColor.SeaShell.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Sienna"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Sienna => KnownColor.Sienna.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Silver"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Silver => KnownColor.Silver.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SkyBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush SkyBlue => KnownColor.SkyBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SlateBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush SlateBlue => KnownColor.SlateBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SlateGray"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush SlateGray => KnownColor.SlateGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Snow"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Snow => KnownColor.Snow.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SpringGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush SpringGreen => KnownColor.SpringGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SteelBlue"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush SteelBlue => KnownColor.SteelBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Tan"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Tan => KnownColor.Tan.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Teal"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Teal => KnownColor.Teal.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Thistle"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Thistle => KnownColor.Thistle.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Tomato"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Tomato => KnownColor.Tomato.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Transparent"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Transparent => KnownColor.Transparent.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Turquoise"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Turquoise => KnownColor.Turquoise.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Violet"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Violet => KnownColor.Violet.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Wheat"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Wheat => KnownColor.Wheat.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.White"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush White => KnownColor.White.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.WhiteSmoke"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush WhiteSmoke => KnownColor.WhiteSmoke.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Yellow"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush Yellow => KnownColor.Yellow.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.YellowGreen"/> colored brush.
        /// </summary>
        public static IImmutableSolidColorBrush YellowGreen => KnownColor.YellowGreen.ToBrush();
    }
}
