﻿namespace Avalonia.Platform.Storage;

/// <summary>
/// Specifies enumerated constants used to retrieve directory paths to system well known folders.
/// </summary>
public enum WellKnownFolder
{
    /// <summary>
    /// Current user desktop folder.
    /// </summary>
    Desktop,
    
    /// <summary>
    /// Current user documents folder.
    /// </summary>
    Documents,
    
    /// <summary>
    /// Current user downloads folder.
    /// </summary>
    Downloads,
    
    /// <summary>
    /// Current user music folder
    /// </summary>
    Music,
    
    /// <summary>
    /// Current user pictures folder
    /// </summary>
    Pictures,

    /// <summary>
    /// Current user videos folder
    /// </summary>
    Videos,
}
